using FreeSql.DataAnnotations;
using System;

namespace DynStatDisk.App.Model
{
    /// <summary>
    /// G型动静盘组装机
    /// </summary>
    [Table(Name = "dbo.GDynStaticMach")]
    [Index("IX_CreateTime", "CreateTime", false)]
    [Index("IX_CylinderNo", "CylinderNo", false)]
    [Index("IX_DynaDiskNo", "DynaDiskNo", false)]
    [Index("IX_StaticDiskNo", "StaticDiskNo", false)]
    public class GDynStaticMach
    {
        /// <summary>
        /// Id
        /// </summary>
        [Column(IsIdentity = true)]
        public long Id { get; set; }

        /// <summary>
        /// 筒体编号
        /// </summary>
        [Column(DbType = "nvarchar(20)")]
        public string CylinderNo { get; set; }
        /// <summary>
        /// 动盘编号
        /// </summary>
        [Column(DbType = "nvarchar(20)")]
        public string DynaDiskNo { get; set; }
        /// <summary>
        /// 静盘编号
        /// </summary>
        [Column(DbType = "nvarchar(20)")]
        public string StaticDiskNo { get; set; }
        /// <summary>
        /// 欧式机构
        /// </summary>
        [Column(DbType = "nvarchar(20)")]
        public string EuropMacine { get; set; }
        /// <summary>
        /// 静盘铸件号
        /// </summary>
        [Column(DbType = "nvarchar(20)")]
        public string StaDskCastNo { get; set; }
        /// <summary>
        /// 员工编号
        /// </summary>
        [Column(DbType = "nvarchar(6)")]
        public string OpNo { get; set; }

        ///// <summary>
        ///// 扭矩值
        ///// </summary>
        //[Column(DbType = "decimal(8, 2)")]
        //public decimal Torque { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column(DbType = "datetime DEFAULT(GETDATE())")]
        public DateTime CreateTime { get; set; }

    }
}
